Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004010TestLinkDatabase Postgrespublic2010-11-11 16:012011-01-22 15:11
Reporternzamfir 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformwappstack 1.2.3 OSWindows XpOS VersionSp3
Product Version1.9 RC 1 
Fixed in Version1.9.1 (bug fixing) 
Summary0004010: [MIGRATION] [POSTGRES] - updating from 1.8 to 1.9 rc1 fails
Descriptionon wappstack 1.2.3 :
  - PostgreSQL 9.0.0
  - Apache 2.2.16
  - PHP 5.2.14

when we try to update from testlink 1.8.4 to any 1.9 release (tested with 1.9beta5,1.9rc1,1.9qa) the updating database page fails with different errors.
we tried with an empty database (clean install of 1.8.4) and also a copy of our working production database (aprox 200mb)

errors are attached in zip file and i identified 2 separate problems:

--in sql/alter_tables/1.9/postgres/DB.1.3/step1/db_schema_update.sql
  CREATE INDEX /*prefix*/inventory_idx1 ON /*prefix*/infrastructure
  CREATE UNIQUE INDEX /*prefix*/inventory_uidx1 ON /*prefix*/infrastructure
 gives a DB Access Error

--migrate_user_assignments() function fails on the UPDATE query (line 376 from migrate_18_to_19.php)


(note: similar errors appeared when upgrading from 1.8.4 to beta1-5 with postgresql 8.4.1-8.4.4 so it's probably not a problem with postgresql 9.0 )

Steps To Reproduceinstall testlink 1.8 on postgres, update to 19rc1 from install\index.php
Additional Informationi tried to repair migrate_user_assignments() but it's definitely out of my skill range; i deleted the lines in question and testlink updated successfully but i have no idea what this implies in the long run.
TagsMigration
Database (MySQL,Postgres,etc)Postgres
BrowserIE,any
PHP Version5.2.14
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon update.php.output.zip [^] (22,910 bytes) 2010-11-11 16:01

- Relationships
child of 0004040closedfman Migration problems (Container Issue) 
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0012669)
fman (administrator)
2010-11-20 10:58

@nzamfir
cna you send your 1.8.x DB (postgres 8.x if possible) in order to run tests on it?
send zipped or a link to download to:
francisco.mancardi@gmail.com
(0013389)
fman (administrator)
2011-01-22 15:11

1.9.1 Released

- Issue History
Date Modified Username Field Change
2010-11-11 16:01 nzamfir New Issue
2010-11-11 16:01 nzamfir File Added: update.php.output.zip
2010-11-20 10:56 fman Relationship added child of 0004040
2010-11-20 10:58 fman Note Added: 0012669
2010-11-20 10:58 fman Assigned To => fman
2010-11-20 10:58 fman Status new => assigned
2010-11-20 10:58 fman Status assigned => feedback
2010-11-20 10:58 fman Tag Attached: Migration
2010-11-20 10:59 fman Summary updating from 1.8 to 1.9 rc1 failes on postgres => [MIGRATION] [POSTGRES] - updating from 1.8 to 1.9 rc1 fails
2010-12-12 18:18 fman Fixed in Version => 1.9.1 (bug fixing)
2010-12-18 10:37 fman Status feedback => resolved
2010-12-18 10:37 fman Resolution open => fixed
2010-12-18 10:38 fman Relationship added child of 0004039
2011-01-22 15:11 fman Note Added: 0013389
2011-01-22 15:11 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker